#!/bin/sh
. /usr/share/phytec-gstreamer-examples/func.sh

init_dev
[ $? -ne 0 ] && exit 1


echo ""
echo " configure CSI1 (CAM1 port) with media_control"
echo " ================================================"

setup-pipeline-csi1 -f $CAM_COL_FMT -s $SENSOR_RES_HD -o $OFFSET_SENSOR_HD -c $SENSOR_RES_HD


echo ""
echo " configure camera @CAM1 with v4l2_control"
echo " ========================================"

$V4L2_CTRL_CAM1_COL

VID_DEVICE=`v4l2-ctl --list-devices | grep -C1 isi | grep video | cut -c 2-`

echo ""
echo " Camera name and v4l2 properties"
echo " ==============================="
echo " The camera $CAMERA is at i2c bus=$CAM_I2C_BUS with i2c adress=0x$CAM_I2C_ADRESS installed"
echo " The camera $CAMERA is now present as <$VID_DEVICE> device"
echo " The sensor resolution is <$SENSOR_RES> and the set resolution is <$SENSOR_RES_HD>"
echo " The set color format is <$COL_FORMAT> ($CAM_COL_FMT)"
echo " To change the resolution, modify the <RES> parameter via media-ctl."
echo ""