#!/bin/sh
. /usr/share/phytec-gstreamer-examples/func.sh

init_dev
[ $? -ne 0 ] && exit 1

echo ""
echo " choose right XML-File and JSON-File in Sensor0_Entry.cfg"
echo " ========================================================"

if [ $CAMERA_TYP = "VM-x16(ar0144)" ]; then
	MODE_VAR=$VM_016_AO082_1280x720
elif [ $CAMERA_TYP = "VM-x20(ar0234)" ]; then
	MODE_VAR=$VM_020_AO082_1280x720
else
	MODE_VAR=$VM_017_AO062_2592x1944
fi


sed -i 's/^mode= .*/mode= '$MODE_VAR'/' $(readlink -f /opt/imx8-isp/bin/Sensor0_Entry.cfg)
XML_FILE=`grep -A1 mode.$MODE_VAR /opt/imx8-isp/bin/Sensor0_Entry.cfg | grep xml | cut -c12- | sed 's/"//g'`
JSON_FILE=`grep -A2 mode.$MODE_VAR /opt/imx8-isp/bin/Sensor0_Entry.cfg | grep json | cut -c12- | sed 's/"//g'`
echo " XML_File for ISP  = $XML_FILE"
echo " JSON_File for ISP = $JSON_FILE"


echo ""
echo " configure CSI1 (CAM1 port) with media_control"
echo " ============================================="

if [ -e /dev/phycam-deserializer-csi1 ] && [ -e /dev/phycam-serializer-csi1 ] ; then
	DESERIALIZER="$(cat /sys/class/video4linux/$(readlink /dev/phycam-deserializer-csi1)/name)"
	SERIALIZER="$(cat /sys/class/video4linux/$(readlink /dev/phycam-serializer-csi1)/name)"
	media-ctl -l "'${SERIALIZER}':1->'${DESERIALIZER}':0[1]"
fi


echo ""
echo " configure camera @CAM1 with v4l2_control"
echo " ========================================"

if [ "$(v4l2-ctl -d /dev/cam-csi1 --get-subdev-fmt 0 | grep "Mediabus Code" | sed 's/.*BUS_FMT_\([A-Z]*\).*/\1/g')" = "Y" ]; then
	$V4L2_CTRL_CAM1_BW_ISP
else
	$V4L2_CTRL_CAM1_COL_ISP
fi

VID_DEVICE=`v4l2-ctl --list-devices | grep -C1 VIV | grep video | cut -c 2-`

echo ""
echo " Camera name and v4l2 properties"
echo " ==============================="
echo " The camera $CAMERA_TYP @csi1 is at i2c bus=$CAM_I2C_BUS with i2c adress=0x$CAM_I2C_ADRESS installed"
echo " The camera $CAMERA_TYP @csi1 is now present as <$VID_DEVICE> device via ISP"
echo " Note: Please check the <videoX> Device in the xxx.hdev examples"
echo " The sensor resolution is <$SENSOR_RES> and the set resolution is <$SENSOR_RES_HD>"
echo " The set color format is YUY2"
echo " To change the resolution, modify the <RES> parameter via media-ctl."
echo ""